Issue1541

classification
Title: new static analyzer from Google
Type: Severity: normal
Components: Core Versions: 2.5.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: otmarhumbel Nosy List: akong, cburroughs, fwierzbicki, otmarhumbel
Priority: Keywords:

Created on 2010-01-13.14:51:55 by otmarhumbel, last changed 2010-05-17.19:03:48 by akong.

Files
File name Uploaded Description Edit Remove
google-indexer.zip otmarhumbel, 2010-01-13.21:05:38 .zip file provided by Steve Yegge
google-indexer-eclipse-project-patch.txt otmarhumbel, 2010-02-05.11:50:41 eclipse project patch containing all outgoing changes
html.zip otmarhumbel, 2010-02-06.23:05:08 generated index of the email lib
google-indexer-eclipse-project-patch2.txt otmarhumbel, 2010-02-06.23:41:17 2nd eclipse project patch (many warnings removed)
indexer_warnings.txt otmarhumbel, 2010-03-28.17:34:32 indexer eclipse warnings
Messages
msg5432 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-01-13.14:54:33
This serves as a placeholder for the patch suggested by Steve Yegge (http://sourceforge.net/mailarchive/forum.php?thread_name=9c768dc61001121642t5bd1a7ddmd1fe9e088e1d9ab0%40mail.gmail.com&forum_name=jython-dev)
msg5436 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-01-13.21:05:38
This is the comment from Steve Yegge:

The attached patchfile is a zip of 2 files:  modified files and new files.  To apply it:
  - unzip google-indexer.zip into .../jython (parent of src/ directory)
  - tar zxf google-indexer-newfiles.tar.gz
  - patch -p0 < google-indexer-patch.diff

You can run the unit tests with "ant idxtest".  Instructions for running the demo app are in the doc header of src/org/python/indexer/demos/HtmlDemo.java.
msg5494 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-02-05.11:54:01
now trying to get rid of the compile errors, and running the tests
msg5495 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-02-05.11:55:36
There are some java-6-isms in the provided patch
msg5496 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-02-05.12:13:03
replacing String.isEmpty() by String.length() == 0 in:
- Indexer.java
- Util.java
msg5497 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-02-05.12:15:01
replacing new String(byte[], Charset) with new String(byte[], String) in Util.java
msg5498 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-02-05.12:16:56
removing the @Override annotation from method compareTo() in class StyleApplier.Tag
msg5502 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-02-05.17:09:58
rolled back the change in .classpath, because our eclipse workspace currently needs a separate entry for the ant libraries
msg5504 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-02-05.17:29:29
rolled back the addition of antlr-runtime-3.1.3.jar to main.classpath in build.xml, because the following ant targets run fine without it:
 - developer-build
 - idxtest
 - javatest


running target idxtest I get:

idxtest:
    [junit] Running org.python.indexer.IndexerTest
    [junit] Tests run: 77, Failures: 0, Errors: 0, Time elapsed: 3.246 sec
    [junit] Running org.python.indexer.TestBase
    [junit] Tests run: 7, Failures: 0, Errors: 0, Time elapsed: 0.662 sec
BUILD SUCCESSFUL


running javatest I get:
javatest:
    :
    [junit] Running org.python.indexer.IndexerTest
    [junit] Tests run: 77, Failures: 0, Errors: 0, Time elapsed: 3.125 sec
    [junit] Running org.python.indexer.TestBase
    [junit] Tests run: 7, Failures: 0, Errors: 0, Time elapsed: 0.667 sec
    :
BUILD SUCCESSFUL
msg5505 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-02-06.22:55:35
removed warnings, such as:
 - unread fields
 - invalid javadoc references
 - missing @Override annotations
 - @SuppressWarnings("hiding")
 - @SuppressWarnings("synthetic-access")
 - @SuppressWarnings("unused")
 - @SuppressWarnings("unchecked")
msg5506 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-02-06.22:57:55
idxtest OK (subset of javatest)
javatest OK
regrtest OK
launchertest OK
no new bugtest failures introduced
msg5507 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-02-06.23:05:08
running
  org.python.indexer.demos.HtmlDemo ${workspace_loc}/jython-trunk/CPythonLib/email/ 
leads to the following console output:

building index...
init: Bootstrap types weren't encountered in bootstrapping: [class org.python.core.PyBuiltinCallable, class org.python.core.PyObject, class org.python.core.PyDataDescr, class org.python.core.PyType]
Summary: 
- modules loaded: 29
- unresolved modules: 16
base64: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/encoders.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email_renamed.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/utils.py
difflib: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email_renamed.py
email: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/__init__.py and 23 more
imghdr: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/mime/image.py
quopri: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/encoders.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/utils.py
random: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/generator.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/utils.py
re: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/base64mime.py and 7 more
sndhdr: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/mime/audio.py
socket: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/utils.py
string: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/quoprimime.py
test: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email_codecs.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email_codecs_renamed.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email_renamed.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email_torture.py
types: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email_torture.py
unittest: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email_codecs.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email_codecs_renamed.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email_renamed.py, /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/test/test_email_torture.py
urllib: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/utils.py
uu: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/message.py
warnings: /Users/oti/stuff/workspace/jython/jython-trunk/CPythonLib/email/generator.py and 6 more

semantics problems: 25
parsing problems: 0
generating html...
wrote 29 files to /Users/oti/stuff/workspace/jython/jython-trunk/./html
msg5599 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-03-28.09:16:30
initially checked in, revision 6990
msg5739 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-04-19.20:29:36
this is now on trunk (revision 6990), so this can be closed IMHO.
History
Date User Action Args
2010-05-17 19:03:48akongsetnosy: + akong
2010-04-19 20:29:37otmarhumbelsetstatus: open -> closed
resolution: fixed
messages: + msg5739
2010-03-28 17:34:34otmarhumbelsetfiles: + indexer_warnings.txt
2010-03-28 09:16:30otmarhumbelsetmessages: + msg5599
2010-02-06 23:41:32otmarhumbelsetfiles: + google-indexer-eclipse-project-patch2.txt
2010-02-06 23:05:09otmarhumbelsetfiles: + html.zip
messages: + msg5507
2010-02-06 22:57:55otmarhumbelsetmessages: + msg5506
2010-02-06 22:55:36otmarhumbelsetmessages: + msg5505
2010-02-05 17:29:30otmarhumbelsetmessages: + msg5504
2010-02-05 17:09:59otmarhumbelsetassignee: otmarhumbel
messages: + msg5502
2010-02-05 12:16:56otmarhumbelsetmessages: + msg5498
2010-02-05 12:15:01otmarhumbelsetmessages: + msg5497
2010-02-05 12:13:03otmarhumbelsetmessages: + msg5496
2010-02-05 11:55:36otmarhumbelsetmessages: + msg5495
2010-02-05 11:54:01otmarhumbelsetmessages: + msg5494
2010-02-05 11:50:50otmarhumbelsetfiles: + google-indexer-eclipse-project-patch.txt
2010-01-18 22:33:27fwierzbickisetnosy: + fwierzbicki
2010-01-13 21:05:38otmarhumbelsetfiles: + google-indexer.zip
messages: + msg5436
2010-01-13 17:27:57cburroughssetnosy: + cburroughs
2010-01-13 14:54:33otmarhumbelsetmessages: + msg5432
2010-01-13 14:51:55otmarhumbelcreate